public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/dynd-python/, dev-python/dynd-python/files/
@ 2017-01-10  5:27 Sebastien Fabbro
  0 siblings, 0 replies; 3+ messages in thread
From: Sebastien Fabbro @ 2017-01-10  5:27 UTC (permalink / raw
  To: gentoo-commits

commit:     18dac8ffa2683a38e973649aafbeebf9d151eba1
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 05:21:05 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 05:26:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18dac8ff

dev-python/dynd-python: version bump
rework of the git forced commit tag

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/dynd-python/Manifest                    |  3 +-
 dev-python/dynd-python/dynd-python-0.6.5.ebuild    | 75 ----------------------
 dev-python/dynd-python/dynd-python-0.6.6.ebuild    | 73 ---------------------
 dev-python/dynd-python/dynd-python-0.7.2.ebuild    | 58 +++++++++++++++++
 .../dynd-python-0.6.2-out-of-git-versioning.patch  | 14 ----
 dev-python/dynd-python/metadata.xml                | 12 ++--
 6 files changed, 63 insertions(+), 172 deletions(-)

diff --git a/dev-python/dynd-python/Manifest b/dev-python/dynd-python/Manifest
index 9743744..ef8a321 100644
--- a/dev-python/dynd-python/Manifest
+++ b/dev-python/dynd-python/Manifest
@@ -1,2 +1 @@
-DIST dynd-python-0.6.5.tar.gz 231313 SHA256 63552c19d7da7a6dd417d75de45af61aa70f336e09d48fea0f5f9f571b41785d SHA512 46af19bc26c8f410ac26d4e756a726a56f2d852bfa21dca03c4c47210ed9074a7e017bdd2ecb1de3d00af37815b4a20885cd7945af4c8536941e9106bcf49f12 WHIRLPOOL 7a8941b0b678f4cf83eea7906ef060afa60a3d3168ca1a375ba8349b26cdba2437624150b8494d8f26bbb80f4cf4a8ca30685fb38aa9088b62e7df927dcdc8e0
-DIST dynd-python-0.6.6.tar.gz 233618 SHA256 cfd71413832c8c44f8357268ffce99f013184c339bfda5a9186610e57f32644d SHA512 c6be9acf0a4dd2446d613cc0c251b56fcd529fac733ecd63d0450806d7f4af2191ef4e861d015177140ca997464b591562a9f478ea83638516fab8552ee88c06 WHIRLPOOL b60e3d774fab77df19788b6eb8f812a19126a109ca7158de7eed2ffbacb3da7866935c39da985323dba3e79817225732d4ebd27d584913709ab527dbf05781ad
+DIST dynd-python-0.7.2.tar.gz 184981 SHA256 b86f9e25d0fc9dd9ed89181cbfc0085c767fb3170e0d708767986d00063e96f3 SHA512 e51df7b368b1f6869338cb12a2f093064b1e7531ef674a83dbc7b9cc1dc6143cbe12cb37273bcc01e7b1066eda541b3b15473bc01e88fd9a8d1b594f6f37eaba WHIRLPOOL 11591748f2da74bc0ba803b58f5557f647ce52d890e5621b9fc834ed27a41cf71038690656948a4f4cf9791023887ba4efee25acdd3286db8424094f02acddb4

diff --git a/dev-python/dynd-python/dynd-python-0.6.5.ebuild b/dev-python/dynd-python/dynd-python-0.6.5.ebuild
deleted file mode 100644
index 373dc80..00000000
--- a/dev-python/dynd-python/dynd-python-0.6.5.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python{2_7,3_4} )
-
-inherit cmake-utils python-r1
-
-# change each release, to avoid git in tree dependency
-DYND_GIT_SHA1=e5578b6b862c025dd757f77aaae69be48cde5613
-
-DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
-HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
-SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-
-IUSE="doc test"
-
-RDEPEND="
-	~dev-libs/libdynd-${PV}
-	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
-	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
-	test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# each relase comes with a different set...
-	# remove forced strong flags
-	sed -i \
-		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
-		-e "s|@DYND_VERSION@|${PV}|" \
-		-e 's|-g -fomit-frame-pointer||' \
-		-e 's|-Werror||g' \
-		CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSE_SEPARATE_LIBDYND=ON
-		-DDYND_INSTALL_LIB=ON
-		$(cmake-utils_use test DYND_BUILD_TESTS)
-	)
-	python_foreach_impl cmake-utils_src_configure
-}
-
-src_compile() {
-	python_foreach_impl cmake-utils_src_make
-	use doc && emake -C doc html
-}
-
-src_test() {
-	testing() {
-		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
-		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
-		${PYTHON} -c 'import dynd; dynd.test()' || die
-	}
-	python_foreach_impl testing
-}
-
-src_install() {
-	python_foreach_impl cmake-utils_src_install
-	dodoc README.md
-	use doc && dohtml -r doc/build/html/*
-}

diff --git a/dev-python/dynd-python/dynd-python-0.6.6.ebuild b/dev-python/dynd-python/dynd-python-0.6.6.ebuild
deleted file mode 100644
index 7fe0f30..00000000
--- a/dev-python/dynd-python/dynd-python-0.6.6.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
-
-inherit cmake-utils python-r1
-
-# change each release, to avoid git in tree dependency
-DYND_GIT_SHA1=d7ec36c6f1beb0621d6037ab0953db7e4c1b9150
-
-DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
-HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
-SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-RDEPEND="
-	~dev-libs/libdynd-${PV}
-	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
-	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
-	test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# each relase comes with a different set...
-	# remove forced strong flags
-	sed -i \
-		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
-		-e "s|@DYND_VERSION@|${PV}|" \
-		-e 's|-g -fomit-frame-pointer||' \
-		-e 's|-Werror||g' \
-		CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSE_SEPARATE_LIBDYND=ON
-		-DDYND_INSTALL_LIB=ON
-		$(cmake-utils_use test DYND_BUILD_TESTS)
-	)
-	python_foreach_impl cmake-utils_src_configure
-}
-
-src_compile() {
-	python_foreach_impl cmake-utils_src_make
-	use doc && emake -C doc html
-}
-
-src_test() {
-	testing() {
-		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
-		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
-		${PYTHON} -c 'import dynd; dynd.test()' || die
-	}
-	python_foreach_impl testing
-}
-
-src_install() {
-	python_foreach_impl cmake-utils_src_install
-	dodoc README.md
-	use doc && dohtml -r doc/build/html/*
-}

diff --git a/dev-python/dynd-python/dynd-python-0.7.2.ebuild b/dev-python/dynd-python/dynd-python-0.7.2.ebuild
new file mode 100644
index 00000000..3ab41b4
--- /dev/null
+++ b/dev-python/dynd-python/dynd-python-0.7.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+# change each new dynd version, to avoid git in tree dependency
+DYND_PYTHON_GIT_SHA1=8cdef57e71c784d7fe1f3f97a2ce2ce5727a89f1
+
+DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
+HOMEPAGE="http://libdynd.org/"
+SRC_URI="https://github.com/libdynd/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+	~dev-libs/libdynd-${PV}
+	dev-python/numpy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/cython[${PYTHON_USEDEP}]
+	doc? (  dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+src_prepare() {
+	default
+	# remove the version mangling from git stuff it requires a git clone
+	# rather force set it a configure time
+	sed -e "/--dirty/s/ver =.*/ver = 'v${PV}'/" \
+		-e '/--always/d' \
+		-i setup.py || die
+	sed -e "s/get_git.*/set(DYND_PYTHON_GIT_SHA1 ${DYND_PYTHON_GIT_SHA1})/" \
+		-e "s/git_describe.*/set(DYND_PYTHON_VERSION_STRING v${PV})/" \
+		-e 's|-g -fomit-frame-pointer||' \
+		-e 's|-Werror||g' \
+		-i CMakeLists.txt || die
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	cd "${BUILD_DIR}/lib" || die
+	PYTHONPATH=${BUILD_DIR}/lib nosetests -v || die
+}
+
+src_install() {
+	use doc && HTML_DOCS=( docs/build/html/. )
+	distutils-r1_src_install
+}

diff --git a/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch b/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
deleted file mode 100644
index 29c3541..00000000
--- a/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- CMakeLists.txt.orig	2014-05-12 14:00:52.000000000 +0400
-+++ CMakeLists.txt	2014-05-12 14:03:39.000000000 +0400
-@@ -86,8 +86,9 @@
- endif()
- 
- # Get the git revision
--get_git_head_revision("${CMAKE_CURRENT_SOURCE_DIR}" GIT_REFSPEC DYND_PYTHON_GIT_SHA1)
--git_describe("${CMAKE_CURRENT_SOURCE_DIR}" DYND_PYTHON_VERSION_STRING --dirty --always --match "v*")
-+SET(DYND_PYTHON_GIT_SHA1 "@DYND_PYTHON_GIT_SHA1@")
-+SET(DYND_PYTHON_VERSION_STRING "@DYND_PYTHON_VERSION@")
-+
- message(STATUS "DyND-Python version: ${DYND_PYTHON_VERSION_STRING}")
- configure_file(
-     "${CMAKE_CURRENT_SOURCE_DIR}/src/git_version.cpp.in"

diff --git a/dev-python/dynd-python/metadata.xml b/dev-python/dynd-python/metadata.xml
index 4205da1..67e9983 100644
--- a/dev-python/dynd-python/metadata.xml
+++ b/dev-python/dynd-python/metadata.xml
@@ -5,15 +5,11 @@
     <email>sci@gentoo.org</email>
     <name>Gentoo Science Project</name>
   </maintainer>
-  <maintainer type="project">
-    <email>python@gentoo.org</email>
-    <name>Python</name>
-  </maintainer>
   <longdescription lang="en">
-  DyND-Python, a component of the Blaze project, is the Python
-  exposure of the DyND dynamic multi-dimensional array library.
-</longdescription>
+    DyND-Python, a component of the Blaze project, is the Python
+    exposure of the DyND dynamic multi-dimensional array library.
+  </longdescription>
   <upstream>
-    <remote-id type="github">ContinuumIO/dynd-python</remote-id>
+    <remote-id type="github">libdynd/dynd-python</remote-id>
   </upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dynd-python/, dev-python/dynd-python/files/
@ 2017-01-10 11:40 David Seifert
  0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2017-01-10 11:40 UTC (permalink / raw
  To: gentoo-commits

commit:     38ebae80deae3462c448011941c9bc8d458cca44
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 11:06:42 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 11:40:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38ebae80

Revert "dev-python/dynd-python: version bump"

This reverts commit 18dac8ffa2683a38e973649aafbeebf9d151eba1.

 dev-python/dynd-python/Manifest                    |  2 +
 dev-python/dynd-python/dynd-python-0.6.5.ebuild    | 75 ++++++++++++++++++++++
 dev-python/dynd-python/dynd-python-0.6.6.ebuild    | 73 +++++++++++++++++++++
 .../dynd-python-0.6.2-out-of-git-versioning.patch  | 14 ++++
 4 files changed, 164 insertions(+)

diff --git a/dev-python/dynd-python/Manifest b/dev-python/dynd-python/Manifest
index ef8a321..ceb59bb 100644
--- a/dev-python/dynd-python/Manifest
+++ b/dev-python/dynd-python/Manifest
@@ -1 +1,3 @@
+DIST dynd-python-0.6.5.tar.gz 231313 SHA256 63552c19d7da7a6dd417d75de45af61aa70f336e09d48fea0f5f9f571b41785d SHA512 46af19bc26c8f410ac26d4e756a726a56f2d852bfa21dca03c4c47210ed9074a7e017bdd2ecb1de3d00af37815b4a20885cd7945af4c8536941e9106bcf49f12 WHIRLPOOL 7a8941b0b678f4cf83eea7906ef060afa60a3d3168ca1a375ba8349b26cdba2437624150b8494d8f26bbb80f4cf4a8ca30685fb38aa9088b62e7df927dcdc8e0
+DIST dynd-python-0.6.6.tar.gz 233618 SHA256 cfd71413832c8c44f8357268ffce99f013184c339bfda5a9186610e57f32644d SHA512 c6be9acf0a4dd2446d613cc0c251b56fcd529fac733ecd63d0450806d7f4af2191ef4e861d015177140ca997464b591562a9f478ea83638516fab8552ee88c06 WHIRLPOOL b60e3d774fab77df19788b6eb8f812a19126a109ca7158de7eed2ffbacb3da7866935c39da985323dba3e79817225732d4ebd27d584913709ab527dbf05781ad
 DIST dynd-python-0.7.2.tar.gz 184981 SHA256 b86f9e25d0fc9dd9ed89181cbfc0085c767fb3170e0d708767986d00063e96f3 SHA512 e51df7b368b1f6869338cb12a2f093064b1e7531ef674a83dbc7b9cc1dc6143cbe12cb37273bcc01e7b1066eda541b3b15473bc01e88fd9a8d1b594f6f37eaba WHIRLPOOL 11591748f2da74bc0ba803b58f5557f647ce52d890e5621b9fc834ed27a41cf71038690656948a4f4cf9791023887ba4efee25acdd3286db8424094f02acddb4

diff --git a/dev-python/dynd-python/dynd-python-0.6.5.ebuild b/dev-python/dynd-python/dynd-python-0.6.5.ebuild
new file mode 100644
index 00000000..373dc80
--- /dev/null
+++ b/dev-python/dynd-python/dynd-python-0.6.5.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4} )
+
+inherit cmake-utils python-r1
+
+# change each release, to avoid git in tree dependency
+DYND_GIT_SHA1=e5578b6b862c025dd757f77aaae69be48cde5613
+
+DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
+HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
+SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc test"
+
+RDEPEND="
+	~dev-libs/libdynd-${PV}
+	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# each relase comes with a different set...
+	# remove forced strong flags
+	sed -i \
+		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
+		-e "s|@DYND_VERSION@|${PV}|" \
+		-e 's|-g -fomit-frame-pointer||' \
+		-e 's|-Werror||g' \
+		CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSE_SEPARATE_LIBDYND=ON
+		-DDYND_INSTALL_LIB=ON
+		$(cmake-utils_use test DYND_BUILD_TESTS)
+	)
+	python_foreach_impl cmake-utils_src_configure
+}
+
+src_compile() {
+	python_foreach_impl cmake-utils_src_make
+	use doc && emake -C doc html
+}
+
+src_test() {
+	testing() {
+		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
+		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
+		${PYTHON} -c 'import dynd; dynd.test()' || die
+	}
+	python_foreach_impl testing
+}
+
+src_install() {
+	python_foreach_impl cmake-utils_src_install
+	dodoc README.md
+	use doc && dohtml -r doc/build/html/*
+}

diff --git a/dev-python/dynd-python/dynd-python-0.6.6.ebuild b/dev-python/dynd-python/dynd-python-0.6.6.ebuild
new file mode 100644
index 00000000..7fe0f30
--- /dev/null
+++ b/dev-python/dynd-python/dynd-python-0.6.6.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit cmake-utils python-r1
+
+# change each release, to avoid git in tree dependency
+DYND_GIT_SHA1=d7ec36c6f1beb0621d6037ab0953db7e4c1b9150
+
+DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
+HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
+SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+	~dev-libs/libdynd-${PV}
+	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# each relase comes with a different set...
+	# remove forced strong flags
+	sed -i \
+		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
+		-e "s|@DYND_VERSION@|${PV}|" \
+		-e 's|-g -fomit-frame-pointer||' \
+		-e 's|-Werror||g' \
+		CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSE_SEPARATE_LIBDYND=ON
+		-DDYND_INSTALL_LIB=ON
+		$(cmake-utils_use test DYND_BUILD_TESTS)
+	)
+	python_foreach_impl cmake-utils_src_configure
+}
+
+src_compile() {
+	python_foreach_impl cmake-utils_src_make
+	use doc && emake -C doc html
+}
+
+src_test() {
+	testing() {
+		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
+		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
+		${PYTHON} -c 'import dynd; dynd.test()' || die
+	}
+	python_foreach_impl testing
+}
+
+src_install() {
+	python_foreach_impl cmake-utils_src_install
+	dodoc README.md
+	use doc && dohtml -r doc/build/html/*
+}

diff --git a/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch b/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
new file mode 100644
index 00000000..29c3541
--- /dev/null
+++ b/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
@@ -0,0 +1,14 @@
+--- CMakeLists.txt.orig	2014-05-12 14:00:52.000000000 +0400
++++ CMakeLists.txt	2014-05-12 14:03:39.000000000 +0400
+@@ -86,8 +86,9 @@
+ endif()
+ 
+ # Get the git revision
+-get_git_head_revision("${CMAKE_CURRENT_SOURCE_DIR}" GIT_REFSPEC DYND_PYTHON_GIT_SHA1)
+-git_describe("${CMAKE_CURRENT_SOURCE_DIR}" DYND_PYTHON_VERSION_STRING --dirty --always --match "v*")
++SET(DYND_PYTHON_GIT_SHA1 "@DYND_PYTHON_GIT_SHA1@")
++SET(DYND_PYTHON_VERSION_STRING "@DYND_PYTHON_VERSION@")
++
+ message(STATUS "DyND-Python version: ${DYND_PYTHON_VERSION_STRING}")
+ configure_file(
+     "${CMAKE_CURRENT_SOURCE_DIR}/src/git_version.cpp.in"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dynd-python/, dev-python/dynd-python/files/
@ 2018-06-06 14:55 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2018-06-06 14:55 UTC (permalink / raw
  To: gentoo-commits

commit:     5481d82ab7adea1b4db73d435be652a497ca57bc
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  3 14:19:20 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Jun  6 14:54:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5481d82a

dev-python/dynd-python: Drop old

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/dynd-python/Manifest                    |  2 -
 dev-python/dynd-python/dynd-python-0.6.5.ebuild    | 74 ----------------------
 dev-python/dynd-python/dynd-python-0.6.6.ebuild    | 74 ----------------------
 .../dynd-python-0.6.2-out-of-git-versioning.patch  | 14 ----
 4 files changed, 164 deletions(-)

diff --git a/dev-python/dynd-python/Manifest b/dev-python/dynd-python/Manifest
index 50498c51297..c3d7732f069 100644
--- a/dev-python/dynd-python/Manifest
+++ b/dev-python/dynd-python/Manifest
@@ -1,3 +1 @@
-DIST dynd-python-0.6.5.tar.gz 231313 BLAKE2B 423c78d3e634862676622dff4b5f6a999e943b9480fdf9f24da189d19dc76ed8b9b131d64da606c3751d5c25e38206e05bf223f139886fec264a74f9daf51868 SHA512 46af19bc26c8f410ac26d4e756a726a56f2d852bfa21dca03c4c47210ed9074a7e017bdd2ecb1de3d00af37815b4a20885cd7945af4c8536941e9106bcf49f12
-DIST dynd-python-0.6.6.tar.gz 233618 BLAKE2B 9aaa9c5145f3f595c5f6036fc27c80af83e141dca3444b7049b9221504a178e93e088febde6eeac74729e8e9fb30f4fafc174c6c32c9084add87670ab99dc81a SHA512 c6be9acf0a4dd2446d613cc0c251b56fcd529fac733ecd63d0450806d7f4af2191ef4e861d015177140ca997464b591562a9f478ea83638516fab8552ee88c06
 DIST dynd-python-0.7.2.tar.gz 184981 BLAKE2B 826a46c7c920533dbd64f310ce6136e37f5d3f7e2bb1190977c72e9c7b65aa9957547b02ca92f5aadc1db268ca4ceda9459036e9fe24a57e090f4312645d348b SHA512 e51df7b368b1f6869338cb12a2f093064b1e7531ef674a83dbc7b9cc1dc6143cbe12cb37273bcc01e7b1066eda541b3b15473bc01e88fd9a8d1b594f6f37eaba

diff --git a/dev-python/dynd-python/dynd-python-0.6.5.ebuild b/dev-python/dynd-python/dynd-python-0.6.5.ebuild
deleted file mode 100644
index 05a89c06c00..00000000000
--- a/dev-python/dynd-python/dynd-python-0.6.5.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python{2_7,3_4} )
-
-inherit cmake-utils python-r1
-
-# change each release, to avoid git in tree dependency
-DYND_GIT_SHA1=e5578b6b862c025dd757f77aaae69be48cde5613
-
-DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
-HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
-SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	~dev-libs/libdynd-${PV}
-	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
-	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
-	test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# each relase comes with a different set...
-	# remove forced strong flags
-	sed -i \
-		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
-		-e "s|@DYND_VERSION@|${PV}|" \
-		-e 's|-g -fomit-frame-pointer||' \
-		-e 's|-Werror||g' \
-		CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSE_SEPARATE_LIBDYND=ON
-		-DDYND_INSTALL_LIB=ON
-		$(cmake-utils_use test DYND_BUILD_TESTS)
-	)
-	python_foreach_impl cmake-utils_src_configure
-}
-
-src_compile() {
-	python_foreach_impl cmake-utils_src_make
-	use doc && emake -C doc html
-}
-
-src_test() {
-	testing() {
-		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
-		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
-		${PYTHON} -c 'import dynd; dynd.test()' || die
-	}
-	python_foreach_impl testing
-}
-
-src_install() {
-	python_foreach_impl cmake-utils_src_install
-	dodoc README.md
-	use doc && dohtml -r doc/build/html/*
-}

diff --git a/dev-python/dynd-python/dynd-python-0.6.6.ebuild b/dev-python/dynd-python/dynd-python-0.6.6.ebuild
deleted file mode 100644
index 2c4ec25d899..00000000000
--- a/dev-python/dynd-python/dynd-python-0.6.6.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
-
-inherit cmake-utils python-r1
-
-# change each release, to avoid git in tree dependency
-DYND_GIT_SHA1=d7ec36c6f1beb0621d6037ab0953db7e4c1b9150
-
-DESCRIPTION="Python exposure of multidimensionnal array library libdynd"
-HOMEPAGE="https://github.com/ContinuumIO/dynd-python"
-SRC_URI="https://github.com/ContinuumIO/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="
-	${PYTHON_DEPS}
-	~dev-libs/libdynd-${PV}
-	>=dev-python/numpy-1.5[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
-	>=dev-python/cython-0.19[${PYTHON_USEDEP}]
-	test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=( "${FILESDIR}"/${PN}-0.6.2-out-of-git-versioning.patch )
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# each relase comes with a different set...
-	# remove forced strong flags
-	sed -i \
-		-e "s|@DYND_GIT_SHA1@|${DYND_GIT_SHA1}|" \
-		-e "s|@DYND_VERSION@|${PV}|" \
-		-e 's|-g -fomit-frame-pointer||' \
-		-e 's|-Werror||g' \
-		CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSE_SEPARATE_LIBDYND=ON
-		-DDYND_INSTALL_LIB=ON
-		$(cmake-utils_use test DYND_BUILD_TESTS)
-	)
-	python_foreach_impl cmake-utils_src_configure
-}
-
-src_compile() {
-	python_foreach_impl cmake-utils_src_make
-	use doc && emake -C doc html
-}
-
-src_test() {
-	testing() {
-		cmake-utils_src_make DESTDIR="${WORKDIR}-test-${EPYTHON}" install
-		cd "${WORKDIR}-test-${EPYTHON}"/$(python_get_sitedir) || die
-		${PYTHON} -c 'import dynd; dynd.test()' || die
-	}
-	python_foreach_impl testing
-}
-
-src_install() {
-	python_foreach_impl cmake-utils_src_install
-	dodoc README.md
-	use doc && dohtml -r doc/build/html/*
-}

diff --git a/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch b/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
deleted file mode 100644
index 29c3541b327..00000000000
--- a/dev-python/dynd-python/files/dynd-python-0.6.2-out-of-git-versioning.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- CMakeLists.txt.orig	2014-05-12 14:00:52.000000000 +0400
-+++ CMakeLists.txt	2014-05-12 14:03:39.000000000 +0400
-@@ -86,8 +86,9 @@
- endif()
- 
- # Get the git revision
--get_git_head_revision("${CMAKE_CURRENT_SOURCE_DIR}" GIT_REFSPEC DYND_PYTHON_GIT_SHA1)
--git_describe("${CMAKE_CURRENT_SOURCE_DIR}" DYND_PYTHON_VERSION_STRING --dirty --always --match "v*")
-+SET(DYND_PYTHON_GIT_SHA1 "@DYND_PYTHON_GIT_SHA1@")
-+SET(DYND_PYTHON_VERSION_STRING "@DYND_PYTHON_VERSION@")
-+
- message(STATUS "DyND-Python version: ${DYND_PYTHON_VERSION_STRING}")
- configure_file(
-     "${CMAKE_CURRENT_SOURCE_DIR}/src/git_version.cpp.in"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2018-06-06 14:55 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-06-06 14:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/dynd-python/, dev-python/dynd-python/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2017-01-10 11:40 David Seifert
2017-01-10  5:27 Sebastien Fabbro

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox